#3158 closed defect (fixed)

Examples v2 does not build

Reported by: Chris Johns Owned by: Chris Johns
Priority: high Milestone: 5.1
Component: unspecified Version: 5
Severity: major Keywords: examples
Cc: Blocked By:
Blocking:

Description

Updating waf breaks the rootfs. Add rootfs support to rtems-waf.git.

Change History (12)

comment:1 Changed on Oct 2, 2017 at 12:13:35 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

comment:2 Changed on Oct 6, 2017 at 7:41:46 PM by Joel Sherrill

Resolution: fixed
Status: closedreopened

I think this is still broken for me. I did a "git module update" and it didn't seem to pull anything. The configure was this:

./waf configure --rtems=$HOME/rtems-work/tools/4.12/bsps \

--rtems-tools=$HOME/rtems-work/tools/4.12 \
--rtems-bsps=sparc/erc32

I did "./wak -k" and multiple tests do not build currently. I cd'ed to file_io/crc and then did this:

$ ../../waf clean
'clean-sparc-rtems4.12-erc32' finished successfully (0.065s)
[joel@localhost crc]$ ../../waf
Waf: Entering directory `/home/joel/rtems-work/examples-v2/build/sparc-rtems4.12-erc32'
[0/2] Compiling rootfs/image.img
[1/2] Compiling ../../build/sparc-rtems4.12-erc32/file_io/crc/fs-root.tar
[2/6] Compiling crc_32.c
[3/6] Compiling ../../build/sparc-rtems4.12-erc32/file_io/crc/fs-root-tar.c
[4/6] Compiling init.c
../../file_io/crc/init.c:18:10: fatal error: FilesystemImage?.h: No such file or directory

#include "FilesystemImage?.h"


compilation terminated.

Waf: Leaving directory `/home/joel/rtems-work/examples-v2/build/sparc-rtems4.12-erc32'
Build failed

-> task in 'crc.exe' failed with exit status 1 (run with -v to display more information)

I did a "git submodule deinit ." and reinitialized the modules but that didn't help either.

comment:3 in reply to:  2 Changed on Oct 6, 2017 at 9:57:35 PM by Chris Johns

Replying to Joel Sherrill:

I think this is still broken for me. I did a "git module update" and it didn't seem to pull anything.

I have not worked on this since my last changes you have.

I did "./waf -k" and multiple tests do not build currently. I cd'ed to file_io/crc and then did this:

Using -k is a good idea. I should have done that.

../../file_io/crc/init.c:18:10: fatal error: FilesystemImage?.h: No such file or directory

#include "FilesystemImage?.h"


I have changed the bin2tar file name to clean up the code. The code now uses the rtems_waf rootfs to create the C filesystem file.

I did a "git submodule deinit ." and reinitialized the modules but that didn't help either.

This a bug I did not see because the build I did stopped at the trace linker errors.

comment:4 Changed on Oct 6, 2017 at 10:04:09 PM by Joel Sherrill

Awesome! Any other tests which look easy to fix?

comment:5 Changed on Oct 12, 2017 at 11:03:38 AM by Sebastian Huber <sebastian.huber@…>

In 4b907ce/examples-v2:

Fix configuration warnings

Update #3158.

comment:6 Changed on Oct 12, 2017 at 11:07:34 AM by Sebastian Huber <sebastian.huber@…>

In 7a8df0d/examples-v2:

Fix warnings

Update #3158.

comment:7 Changed on Oct 12, 2017 at 11:12:24 AM by Sebastian Huber

The following errors are left:

Waf: Entering directory `build/arm-rtems4.12-xilinx_zynq_a9_qemu'
[ 29/115] Compiling file_io/crc/init.c
[ 34/115] Compiling build/arm-rtems4.12-xilinx_zynq_a9_qemu/file_io/fdopen/test.c.2.o
error: config section: dump-on-error: not found

[108/115] Linking build/arm-rtems4.12-xilinx_zynq_a9_qemu/posix_api/psx_sched_report/psx_sched_report.exe
../../file_io/crc/init.c:18:10: fatal error: FilesystemImage.h: No such file or directory
 #include "FilesystemImage.h"
          ^~~~~~~~~~~~~~~~~~~
compilation terminated.

librtemscpu.a(default-configuration.o): In function `__getreent':
confdefs.h:2342: multiple definition of `__getreent'
Waf: Leaving directory `build/arm-rtems4.12-xilinx_zynq_a9_qemu'
Build failed
 -> task in 'fdopen.texe' failed with exit status 10 (run with -v to display more information)
 -> task in 'crc.exe' failed with exit status 1 (run with -v to display more information)
 -> task in 'psx_sched_report.exe' failed with exit status 1 (run with -v to display more information)

comment:8 in reply to:  7 Changed on Oct 12, 2017 at 3:59:18 PM by Chris Johns

Replying to Sebastian Huber:

The following errors are left:

Waf: Entering directory `build/arm-rtems4.12-xilinx_zynq_a9_qemu'
[ 29/115] Compiling file_io/crc/init.c
[ 34/115] Compiling build/arm-rtems4.12-xilinx_zynq_a9_qemu/file_io/fdopen/test.c.2.o
error: config section: dump-on-error: not found

The fix is to remove the line from the INI file.

[108/115] Linking build/arm-rtems4.12-xilinx_zynq_a9_qemu/posix_api/psx_sched_report/psx_sched_report.exe
../../file_io/crc/init.c:18:10: fatal error: FilesystemImage.h: No such file or directory
 #include "FilesystemImage.h"
          ^~~~~~~~~~~~~~~~~~~
compilation terminated.

I change the name of the file system image. I have refactored the support so rtems_waf can build a tar file and create the C/H files with a single build instance. I forgot to update the init.c files.

librtemscpu.a(default-configuration.o): In function `__getreent':
confdefs.h:2342: multiple definition of `__getreent'

This is one Joel has been looking at and has posted on the newlib list about.

comment:9 Changed on Oct 12, 2017 at 7:11:24 PM by Joel Sherrill <joel@…>

In f15676f/examples-v2:

Make crc and fdopen build

Updates #3158.

comment:10 Changed on Oct 12, 2017 at 7:16:23 PM by Joel Sherrill

psx_sched_report fails due to #3176 and using a default configuration. Changing that test to have an explicit RTEMS configuration.

comment:11 Changed on Oct 12, 2017 at 7:17:28 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: reopenedclosed

In b6c5dbb/examples-v2:

psx_sched_report: Add RTEMS configuration to address build issue.

Closes #3158.

comment:12 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.